/** @file MOMChannelScanOptions.h
 *
 * Copyright (C) Espial Limited 2014 - Company confidential - All rights reserved.
 *
 */

#ifndef MOMChannelScanOptions_h
#define MOMChannelScanOptions_h

#if ENABLE(RMAI)

#include <wtf/PassRefPtr.h>
#include <wtf/RefCounted.h>
#include <wtf/text/AtomicString.h>
#include "MOMContentItem.h"


namespace WebCore {

class MOMChannelScanOptions;


class MOMChannelScanOptions : public MOMContentItem {
public:

    MOMChannelScanOptions(ScriptExecutionContext* context, mom_content_item item);
    ~MOMChannelScanOptions();

    int startFrequencyMHz() const;
    void setStartFrequencyMHz(int startFrequencyMHz);

    int audioPID() const;
    void setAudioPID(int audioPID);

    int videoPID() const;
    void setVideoPID(int videoPID);

    int pcrPID() const;
    void setPcrPID(int pcrPID);

    bool cleanScan() const;
    void setCleanScan(bool cleanScan);

    bool exhaustiveSearch() const;
    void setExhaustiveSearch(bool exhaustiveSearch);
};

} // namespace WebCore

#endif // ENABLE(RMAI)

#endif // MOMChannelScanOptions_h
